BuildDir = _WORKING_DIR .. "/build_".._ACTION.."/"
BuildBin = _WORKING_DIR .. "/bin_".._ACTION.."_"
ExtDir = "ext/"

solution "Make A Game With Little Experience"
	location  (BuildDir)
	configurations { "Debug", "Release" }
	startproject "MAGWLE"


	includedirs
	{
		ExtDir.."/glm/",
		ExtDir.."/tgf/",
		ExtDir.."/glew/include/",
		ExtDir.."/sdl2/include/",
		ExtDir.."/sdl2/include/SDL2",
		ExtDir.."/SDL2_image-2.0.0/include/",
		ExtDir.."/SDL2_mixer-2.0.0/include/",
	}

	libdirs
	{
		ExtDir.."/sdl2/lib/x86",
		ExtDir.."/SDL2_image-2.0.0/lib/x86",
		ExtDir.."/SDL2_mixer-2.0.0/lib/x86",
		ExtDir.."/glew/lib/Release/Win32",
	}
	links { "SDL2","SDL2main","SDL2_mixer","SDL2_image" }
	links { "opengl32","glew32s" }

	project "MAGWLE"
		location (BuildDir)
		kind "ConsoleApp"
		language "C++"

		files { "src/**.h", "src/**.cpp" }

		configuration "Debug"
			targetdir (BuildBin.."debug")
			defines { "DEBUG" }
			flags { "Symbols" }
			

		configuration "Release"
			targetdir (BuildBin.."release")
			defines { "NDEBUG" }
			optimize "full"




-------------------------------------------------------------
function copy_dlls_to(dir)
	os.mkdir(dir)
		files = os.matchfiles( "ext/**.dll");
		for k, f in pairs(files) do
			os.copyfile(f, dir .."/".. path.getname(f));
			print(f,k);
		end

end

copy_dlls_to(BuildBin.."release")
copy_dlls_to(BuildBin.."debug")